org.apache.commons.ssl

## Class SSLProxyServer.ProxyRunnable

- java.lang.Object
- - org.apache.commons.ssl.SSLProxyServer.ProxyRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SSLProxyServer

    public static class SSLProxyServer.ProxyRunnable
    extends java.lang.Object
    implements java.lang.Runnable

### Field Summary

Fields
`private java.net.Socket` `s`

### Constructor Summary

Constructors
Constructor and Description
`SSLProxyServer.ProxyRunnable(java.net.Socket s)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### s

    private java.net.Socket s

### Constructor Detail

#### SSLProxyServer.ProxyRunnable

    public SSLProxyServer.ProxyRunnable(java.net.Socket s)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`